package com.ruoyi.project.reliability.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.intact.domain.TIntactGj;
import com.ruoyi.project.intact.mapper.TIntactGjMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.reliability.mapper.TKekaoMgListMapper;
import com.ruoyi.project.reliability.domain.TKekaoMgList;
import com.ruoyi.project.reliability.service.ITKekaoMgListService;

/**
 * 可靠性管理清单Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-07
 */
@Service
public class TKekaoMgListServiceImpl extends ServiceImpl<TKekaoMgListMapper, TKekaoMgList> implements ITKekaoMgListService
{
    @Autowired
    private TKekaoMgListMapper tKekaoMgListMapper;

    /**
     * 查询可靠性管理清单
     *
     * @param id 可靠性管理清单ID
     * @return 可靠性管理清单
     */
    @Override
    public TKekaoMgList selectTKekaoMgListById(Long id)
    {
        return tKekaoMgListMapper.selectTKekaoMgListById(id);
    }

    /**
     * 查询可靠性管理清单列表
     *
     * @param tKekaoMgList 可靠性管理清单
     * @return 可靠性管理清单
     */
    @Override
    public List<TKekaoMgList> selectTKekaoMgListList(TKekaoMgList tKekaoMgList)
    {
        return tKekaoMgListMapper.selectTKekaoMgListList(tKekaoMgList);
    }

    /**
     * 新增可靠性管理清单
     *
     * @param tKekaoMgList 可靠性管理清单
     * @return 结果
     */
    @Override
    public int insertTKekaoMgList(TKekaoMgList tKekaoMgList)
    {
        return tKekaoMgListMapper.insertTKekaoMgList(tKekaoMgList);
    }

    /**
     * 修改可靠性管理清单
     *
     * @param tKekaoMgList 可靠性管理清单
     * @return 结果
     */
    @Override
    public int updateTKekaoMgList(TKekaoMgList tKekaoMgList)
    {
        return tKekaoMgListMapper.updateTKekaoMgList(tKekaoMgList);
    }

    /**
     * 批量删除可靠性管理清单
     *
     * @param ids 需要删除的可靠性管理清单ID
     * @return 结果
     */
    @Override
    public int deleteTKekaoMgListByIds(Long[] ids)
    {
        return tKekaoMgListMapper.deleteTKekaoMgListByIds(ids);
    }

    /**
     * 删除可靠性管理清单信息
     *
     * @param id 可靠性管理清单ID
     * @return 结果
     */
    @Override
    public int deleteTKekaoMgListById(Long id)
    {
        return tKekaoMgListMapper.deleteTKekaoMgListById(id);
    }
}
